Package Details: ulauncher 5.2.0-1

Git Clone URL: https://aur.archlinux.org/ulauncher.git (read-only)
Package Base: ulauncher
Description: Application launcher for Linux
Upstream URL: https://ulauncher.io
Keywords: application launcher stable
Licenses: GPL3
Conflicts: ulauncher
Provides: ulauncher
Submitter: ulauncher
Maintainer: ulauncher
Last Packager: ulauncher
Votes: 23
Popularity: 2.323771
First Submitted: 2017-03-03 09:36
Last Updated: 2019-06-29 08:16

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

teetest commented on 2018-09-04 23:04

@ulauncher I run ulauncher in terminal. It shows:

com.github.chenjsa.kingsoft-dict | 2018-09-05 07:02:31,510 | ERROR | websocket: error() | error from callback <bound 0x7f730438a650="" <ulauncher.api.client.client.client="" at="" client.on_open="" method="" object="" of="">>: on_open() takes exactly 2 arguments (1 given)</bound>

com.github.user0308.ulauncher-plugin-jump | 2018-09-05 07:02:31,574 | ERROR | websocket: error() | error from callback <bound 0x7f39f20f6190="" <ulauncher.api.client.client.client="" at="" client.on_message="" method="" object="" of="">>: on_message() takes exactly 3 arguments (2 given)</bound>

com.github.rolfkoenders.ulauncher-myip | 2018-09-05 07:02:39,803 | ERROR | websocket: error() | error from callback <bound 0x7fa18ac44350="" <ulauncher.api.client.client.client="" at="" client.on_message="" method="" object="" of="">>: on_message() takes exactly 3 arguments (2 given)</bound>

ulauncher commented on 2018-09-04 19:37

@teetest what do you see in the logs?

teetest commented on 2018-09-04 11:23

@ulauncher python2-websocket-client 0.51 and ulauncher 4.1.1.r1-1

but all extensions still show loading...

ulauncher commented on 2018-09-04 07:32

To all who noticed that extensions stopped working,

Please update python2-websocket-client package to the latest version (0.51 or higher).

There was a bug in v0.49 and 0.50

teetest commented on 2018-09-03 11:32

@ulauncher work for me now. Thank you.

ulauncher commented on 2018-09-02 16:19

I found a VBox image with Arch and KDE 5.13, but wasn't able to reproduce the issue there. Perhaps you guys could provide a VBox image where the issue exists?

How do you install Ulauncher? Do you run this command?

git clone https://aur.archlinux.org/ulauncher.git && cd ulauncher && makepkg -is

Also, did installing python2-notify fix the issue for anyone? I see python2-pyinotify in PKGBUILD. That should be enough.

Deathice commented on 2018-08-24 19:00

Just create the directory data

mkdir /usr/share/ulauncher/data/

Best regards,

japhir commented on 2018-08-22 22:17

Even after installing the dependency python2-notify I get the following error when I launch it:

/usr/lib/python2.7/site-packages/ulauncher/util/desktop/notification.py:1: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded.
  from gi.repository import Notify
/usr/lib/python2.7/site-packages/ulauncher/ui/windows/PreferencesUlauncherDialog.py:6: PyGIWarning: WebKit2 was imported without specifying a version first. Use gi.require_version('WebKit2', '4.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gio, Gtk, WebKit2, GLib
2018-08-23 00:15:56,426 | ERROR | ulauncher: except_hook() | Uncaught exception
Traceback (most recent call last):
  File "/usr/bin/ulauncher", line 25, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/ulauncher/main.py", line 120, in main
    window = UlauncherWindow.get_instance()
  File "/usr/lib/python2.7/site-packages/ulauncher/util/decorator/singleton.py", line 16, in wrapper
    instance = fn(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 52, in get_instance
    return cls()
  File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 60, in __new__
    builder = Builder.new_from_file('UlauncherWindow')
  File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/Builder.py", line 43, in new_from_file
    ui_filename = get_data_file('ui', '%s.ui' % (builder_file_name,))
  File "/usr/lib/python2.7/site-packages/ulauncher/config.py", line 40, in get_data_file
    return os.path.join(get_data_path(), *path_segments)
  File "/usr/lib/python2.7/site-packages/ulauncher/config.py", line 57, in get_data_path
    raise ProjectPathNotFoundError
ProjectPathNotFoundError

ulauncher commented on 2018-08-21 04:39

@Revelation60 sure I can add it. But I won't be able to do that until next week.

Revelation60 commented on 2018-08-20 20:57

I get the following error when running ulauncher:

/usr/lib/python2.7/site-packages/ulauncher/util/desktop/notification.py:1: PyGIWarning: Notify was imported without specifying a version first. Use gi.require_version('Notify', '0.7') before import to ensure that the right version gets loaded. from gi.repository import Notify /usr/lib/python2.7/site-packages/ulauncher/ui/windows/PreferencesUlauncherDialog.py:6: PyGIWarning: WebKit2 was imported without specifying a version first. Use gi.require_version('WebKit2', '4.0') before import to ensure that the right version gets loaded. from gi.repository import Gio, Gtk, WebKit2, GLib 2018-08-20 22:57:00,369 | ERROR | ulauncher: except_hook() | Uncaught exception Traceback (most recent call last): File "/usr/bin/ulauncher", line 25, in <module> main() File "/usr/lib/python2.7/site-packages/ulauncher/main.py", line 120, in main window = UlauncherWindow.get_instance() File "/usr/lib/python2.7/site-packages/ulauncher/util/decorator/singleton.py", line 16, in wrapper instance = fn(args, kwargs) File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 52, in get_instance return cls() File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/UlauncherWindow.py", line 60, in new builder = Builder.new_from_file('UlauncherWindow') File "/usr/lib/python2.7/site-packages/ulauncher/ui/windows/Builder.py", line 43, in new_from_file ui_filename = get_data_file('ui', '%s.ui' % (builder_file_name,)) File "/usr/lib/python2.7/site-packages/ulauncher/config.py", line 40, in get_data_file return os.path.join(get_data_path(), path_segments) File "/usr/lib/python2.7/site-packages/ulauncher/config.py", line 57, in get_data_path raise ProjectPathNotFoundError ProjectPathNotFoundError</module>

EDIT: this seems to be caused by a missing dependency: python2-notify. Could you add it?